percona_changed_page_bmp_flush fails with "File (unknown): 'read' returned OS error 122. Cannot continue operation"

Bug #1498891 reported by Thomas Deutschmann on 2015-09-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Fix Released
Medium
Laurynas Biveinis
5.1
Invalid
Undecided
Unassigned
5.5
Fix Released
Medium
Laurynas Biveinis
5.6
Fix Released
Medium
Laurynas Biveinis
Gentoo Linux
Unknown
Medium

Bug Description

Hi,

this is Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=561020

Note that I was able to reproduce the same problem with vanilla percona-server-5.6.26-74.0.

Running the limited test suite (I disabled the other tests in innodb test suite for speed up):

# perl mysql-test-run.pl --suite=innodb --force --vardir="/tmp/pc-test" --testcase-timeout=30 --reorder
Logging: mysql-test-run.pl --suite=innodb --force --vardir=/tmp/pc-test --testcase-timeout=30 --reorder
2015-09-23 13:53:35 0 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld (mysqld 5.6.26-74.0) starting as process 53903 ...
2015-09-23 13:53:35 53903 [Note] Binlog end
2015-09-23 13:53:35 53903 [Note] Shutting down plugin 'MyISAM'
2015-09-23 13:53:35 53903 [Note] Shutting down plugin 'CSV'
MySQL Version 5.6.26
Checking supported features...
 - SSL connections supported
Using suites: innodb
Collecting tests...
Removing old var directory...
Creating var directory '/tmp/pc-test'...
Installing system database...

==============================================================================

TEST RESULT TIME (ms) or COMMENT
--------------------------------------------------------------------------

worker[1] Using MTR_BUILD_THREAD 300, with reserved ports 13000..13009
worker[1] mysql-test-run: WARNING: running this script as _root_ will cause some tests to be skipped
innodb.percona_changed_page_bmp [ pass ] 43897
innodb.percona_changed_page_bmp_flush [ fail ]
        Test ended at 2015-09-23 13:54:32

CURRENT_TEST: innodb.percona_changed_page_bmp_flush

Server [mysqld.1 - pid: 54398, winpid: 54398, exit: 256] failed during test run
Server log from this test:
----------SERVER LOG START-----------
2015-09-23 14:54:24 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-09-23 14:54:24 0 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld (mysqld 5.6.26-74.0-log) starting as process 54296 ...
2015-09-23 14:54:24 7f8b10c0d740 InnoDB: Warning: Using innodb_additional_mem_pool_size is DEPRECATED. This option may be removed in future releases, together with the option innodb_use_sys_malloc and with the InnoDB's internal memory allocator.
2015-09-23 14:54:24 54296 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-09-23 14:54:24 54296 [Note] InnoDB: The InnoDB memory heap is disabled
2015-09-23 14:54:24 54296 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-09-23 14:54:24 54296 [Note] InnoDB: Memory barrier is not used
2015-09-23 14:54:24 54296 [Note] InnoDB: Compressed tables use zlib 1.2.8
2015-09-23 14:54:24 54296 [Note] InnoDB: Using Linux native AIO
2015-09-23 14:54:24 54296 [Note] InnoDB: Using CPU crc32 instructions
2015-09-23 14:54:24 54296 [Note] InnoDB: Initializing buffer pool, size = 8.0M
2015-09-23 14:54:24 54296 [Note] InnoDB: Completed initialization of buffer pool
2015-09-23 14:54:24 54296 [Note] InnoDB: Highest supported file format is Barracuda.
2015-09-23 14:54:24 54296 [Note] InnoDB: 128 rollback segment(s) are active.
2015-09-23 14:54:24 54296 [Note] InnoDB: Waiting for purge to start
2015-09-23 14:54:25 54296 [Note] InnoDB: Percona XtraDB (http://www.percona.com) 5.6.26-74.0 started; log sequence number 1625977
2015-09-23 14:54:25 54296 [Warning] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: unknown variable 'loose-debug-sync-timeout=600'
2015-09-23 14:54:25 54296 [Warning] No existing UUID has been found, so we assume that this is the first time that this server has been started. Generating a new UUID: d6002387-61e9-11e5-8c00-000c29545adf.
2015-09-23 14:54:25 54296 [Note] RSA private key file not found: /tmp/pc-test/mysqld.1/data//private_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:25 54296 [Note] RSA public key file not found: /tmp/pc-test/mysqld.1/data//public_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:25 54296 [Note] Server hostname (bind-address): '*'; port: 13001
2015-09-23 14:54:25 54296 [Note] IPv6 is available.
2015-09-23 14:54:25 54296 [Note] - '::' resolves to '::';
2015-09-23 14:54:25 54296 [Note] Server socket created on IP: '::'.
2015-09-23 14:54:25 54296 [Note] Event Scheduler: Loaded 0 events
2015-09-23 14:54:25 54296 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: ready for connections.
Version: '5.6.26-74.0-log' socket: '/tmp/pc-test/tmp/mysqld.1.sock' port: 13001 Source distribution
2015-09-23 14:54:25 54296 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Normal shutdown

2015-09-23 14:54:25 54296 [Note] Giving 0 client threads a chance to die gracefully
2015-09-23 14:54:25 54296 [Note] Event Scheduler: Purging the queue. 0 events
2015-09-23 14:54:25 54296 [Note] Shutting down slave threads
2015-09-23 14:54:25 54296 [Note] Forcefully disconnecting 0 remaining clients
2015-09-23 14:54:25 54296 [Note] Binlog end
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'partition'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'ARCHIVE'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'BLACKHOLE'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CHANGED_PAGES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_DATAFILES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_TABLESPACES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN_COLS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_FIELDS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_COLUMNS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_INDEXES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_TABLESTATS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_SYS_TABLES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_INDEX_TABLE'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_INDEX_CACHE'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_CONFIG'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_BEING_DELETED'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_DELETED'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_FT_DEFAULT_STOPWORD'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_METRICS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_BUFFER_POOL_STATS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE_LRU'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX_RESET'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMPMEM_RESET'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMPMEM'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMP_RESET'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_CMP'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_LOCK_WAITS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_LOCKS'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'INNODB_TRX'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'XTRADB_RSEG'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'XTRADB_INTERNAL_HASH_TABLES'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'XTRADB_READ_VIEW'
2015-09-23 14:54:25 54296 [Note] Shutting down plugin 'InnoDB'
2015-09-23 14:54:25 54296 [Note] InnoDB: FTS optimize thread exiting.
2015-09-23 14:54:25 54296 [Note] InnoDB: Starting shutdown...
2015-09-23 14:54:27 54296 [Note] InnoDB: Shutdown completed; log sequence number 1630546
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'PERFORMANCE_SCHEMA'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'MRG_MYISAM'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'MyISAM'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'MEMORY'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'CSV'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'sha256_password'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'mysql_old_password'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'mysql_native_password'
2015-09-23 14:54:27 54296 [Note] Shutting down plugin 'binlog'
2015-09-23 14:54:27 54296 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Shutdown complete

2015-09-23 14:54:27 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-09-23 14:54:27 0 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld (mysqld 5.6.26-74.0-log) starting as process 54325 ...
2015-09-23 14:54:27 7ff5de38d740 InnoDB: Warning: Using innodb_additional_mem_pool_size is DEPRECATED. This option may be removed in future releases, together with the option innodb_use_sys_malloc and with the InnoDB's internal memory allocator.
2015-09-23 14:54:27 54325 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-09-23 14:54:27 54325 [Note] InnoDB: The InnoDB memory heap is disabled
2015-09-23 14:54:27 54325 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-09-23 14:54:27 54325 [Note] InnoDB: Memory barrier is not used
2015-09-23 14:54:27 54325 [Note] InnoDB: Compressed tables use zlib 1.2.8
2015-09-23 14:54:27 54325 [Note] InnoDB: Using Linux native AIO
2015-09-23 14:54:27 54325 [Note] InnoDB: Using CPU crc32 instructions
2015-09-23 14:54:27 54325 [Note] InnoDB: Initializing buffer pool, size = 8.0M
2015-09-23 14:54:27 54325 [Note] InnoDB: Completed initialization of buffer pool
2015-09-23 14:54:27 54325 [Note] InnoDB: Highest supported file format is Barracuda.
2015-09-23 14:54:27 54325 [Note] InnoDB: starting tracking changed pages from LSN 1630546

2015-09-23 14:54:27 54325 [Note] InnoDB: 128 rollback segment(s) are active.
2015-09-23 14:54:27 54325 [Note] InnoDB: Waiting for purge to start
2015-09-23 14:54:27 54325 [Note] InnoDB: Percona XtraDB (http://www.percona.com) 5.6.26-74.0 started; log sequence number 1630546
2015-09-23 14:54:27 54325 [Warning] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: unknown variable 'loose-debug-sync-timeout=600'
2015-09-23 14:54:27 54325 [Note] RSA private key file not found: /tmp/pc-test/mysqld.1/data//private_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:27 54325 [Note] RSA public key file not found: /tmp/pc-test/mysqld.1/data//public_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:27 54325 [Note] Server hostname (bind-address): '*'; port: 13001
2015-09-23 14:54:27 54325 [Note] IPv6 is available.
2015-09-23 14:54:27 54325 [Note] - '::' resolves to '::';
2015-09-23 14:54:27 54325 [Note] Server socket created on IP: '::'.
2015-09-23 14:54:27 54325 [Note] Event Scheduler: Loaded 0 events
2015-09-23 14:54:27 54325 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: ready for connections.
Version: '5.6.26-74.0-log' socket: '/tmp/pc-test/tmp/mysqld.1.sock' port: 13001 Source distribution
2015-09-23 14:54:27 54325 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Normal shutdown

2015-09-23 14:54:27 54325 [Note] Giving 0 client threads a chance to die gracefully
2015-09-23 14:54:27 54325 [Note] Event Scheduler: Purging the queue. 0 events
2015-09-23 14:54:27 54325 [Note] Shutting down slave threads
2015-09-23 14:54:27 54325 [Note] Forcefully disconnecting 0 remaining clients
2015-09-23 14:54:27 54325 [Note] Binlog end
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'partition'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'ARCHIVE'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'BLACKHOLE'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CHANGED_PAGES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_DATAFILES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_TABLESPACES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN_COLS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_FIELDS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_COLUMNS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_INDEXES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_TABLESTATS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_SYS_TABLES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_INDEX_TABLE'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_INDEX_CACHE'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_CONFIG'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_BEING_DELETED'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_DELETED'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_FT_DEFAULT_STOPWORD'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_METRICS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_BUFFER_POOL_STATS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE_LRU'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX_RESET'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMPMEM_RESET'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMPMEM'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMP_RESET'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_CMP'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_LOCK_WAITS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_LOCKS'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'INNODB_TRX'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'XTRADB_RSEG'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'XTRADB_INTERNAL_HASH_TABLES'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'XTRADB_READ_VIEW'
2015-09-23 14:54:27 54325 [Note] Shutting down plugin 'InnoDB'
2015-09-23 14:54:27 54325 [Note] InnoDB: FTS optimize thread exiting.
2015-09-23 14:54:27 54325 [Note] InnoDB: Starting shutdown...
2015-09-23 14:54:29 54325 [Note] InnoDB: Shutdown completed; log sequence number 1651511
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'PERFORMANCE_SCHEMA'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'MRG_MYISAM'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'MyISAM'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'MEMORY'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'CSV'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'sha256_password'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'mysql_old_password'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'mysql_native_password'
2015-09-23 14:54:29 54325 [Note] Shutting down plugin 'binlog'
2015-09-23 14:54:29 54325 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Shutdown complete

2015-09-23 14:54:30 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-09-23 14:54:30 0 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld (mysqld 5.6.26-74.0-log) starting as process 54352 ...
2015-09-23 14:54:30 7f11054dd740 InnoDB: Warning: Using innodb_additional_mem_pool_size is DEPRECATED. This option may be removed in future releases, together with the option innodb_use_sys_malloc and with the InnoDB's internal memory allocator.
2015-09-23 14:54:30 54352 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-09-23 14:54:30 54352 [Note] InnoDB: The InnoDB memory heap is disabled
2015-09-23 14:54:30 54352 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-09-23 14:54:30 54352 [Note] InnoDB: Memory barrier is not used
2015-09-23 14:54:30 54352 [Note] InnoDB: Compressed tables use zlib 1.2.8
2015-09-23 14:54:30 54352 [Note] InnoDB: Using Linux native AIO
2015-09-23 14:54:30 54352 [Note] InnoDB: Using CPU crc32 instructions
2015-09-23 14:54:30 54352 [Note] InnoDB: Initializing buffer pool, size = 8.0M
2015-09-23 14:54:30 54352 [Note] InnoDB: Completed initialization of buffer pool
2015-09-23 14:54:30 54352 [Note] InnoDB: Highest supported file format is Barracuda.
2015-09-23 14:54:30 54352 [Note] InnoDB: starting tracking changed pages from LSN 1651511

2015-09-23 14:54:30 54352 [Note] InnoDB: 128 rollback segment(s) are active.
2015-09-23 14:54:30 54352 [Note] InnoDB: Waiting for purge to start
2015-09-23 14:54:30 54352 [Note] InnoDB: Percona XtraDB (http://www.percona.com) 5.6.26-74.0 started; log sequence number 1651511
2015-09-23 14:54:30 54352 [Warning] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: unknown variable 'loose-debug-sync-timeout=600'
2015-09-23 14:54:30 54352 [Note] RSA private key file not found: /tmp/pc-test/mysqld.1/data//private_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:30 54352 [Note] RSA public key file not found: /tmp/pc-test/mysqld.1/data//public_key.pem. Some authentication plugins will not work.
2015-09-23 14:54:30 54352 [Note] Server hostname (bind-address): '*'; port: 13001
2015-09-23 14:54:30 54352 [Note] IPv6 is available.
2015-09-23 14:54:30 54352 [Note] - '::' resolves to '::';
2015-09-23 14:54:30 54352 [Note] Server socket created on IP: '::'.
2015-09-23 14:54:30 54352 [Note] Event Scheduler: Loaded 0 events
2015-09-23 14:54:30 54352 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: ready for connections.
Version: '5.6.26-74.0-log' socket: '/tmp/pc-test/tmp/mysqld.1.sock' port: 13001 Source distribution
2015-09-23 14:54:30 54352 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Normal shutdown

2015-09-23 14:54:30 54352 [Note] Giving 0 client threads a chance to die gracefully
2015-09-23 14:54:30 54352 [Note] Event Scheduler: Purging the queue. 0 events
2015-09-23 14:54:30 54352 [Note] Shutting down slave threads
2015-09-23 14:54:30 54352 [Note] Forcefully disconnecting 0 remaining clients
2015-09-23 14:54:30 54352 [Note] Binlog end
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'partition'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'ARCHIVE'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'BLACKHOLE'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CHANGED_PAGES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_DATAFILES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_TABLESPACES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN_COLS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_FIELDS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_COLUMNS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_INDEXES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_TABLESTATS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_SYS_TABLES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_INDEX_TABLE'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_INDEX_CACHE'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_CONFIG'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_BEING_DELETED'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_DELETED'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_FT_DEFAULT_STOPWORD'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_METRICS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_BUFFER_POOL_STATS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE_LRU'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX_RESET'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMPMEM_RESET'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMPMEM'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMP_RESET'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_CMP'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_LOCK_WAITS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_LOCKS'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'INNODB_TRX'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'XTRADB_RSEG'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'XTRADB_INTERNAL_HASH_TABLES'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'XTRADB_READ_VIEW'
2015-09-23 14:54:30 54352 [Note] Shutting down plugin 'InnoDB'
2015-09-23 14:54:30 54352 [Note] InnoDB: FTS optimize thread exiting.
2015-09-23 14:54:30 54352 [Note] InnoDB: Starting shutdown...
2015-09-23 14:54:32 54352 [Note] InnoDB: Shutdown completed; log sequence number 1672473
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'PERFORMANCE_SCHEMA'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'MRG_MYISAM'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'MyISAM'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'MEMORY'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'CSV'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'sha256_password'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'mysql_old_password'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'mysql_native_password'
2015-09-23 14:54:32 54352 [Note] Shutting down plugin 'binlog'
2015-09-23 14:54:32 54352 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld: Shutdown complete

2015-09-23 14:54:32 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-09-23 14:54:32 0 [Note] /var/tmp/perc-test/percona-server-5.6.26-74.0/sql/mysqld (mysqld 5.6.26-74.0-log) starting as process 54399 ...
2015-09-23 14:54:32 7f5d3458c740 InnoDB: Warning: Using innodb_additional_mem_pool_size is DEPRECATED. This option may be removed in future releases, together with the option innodb_use_sys_malloc and with the InnoDB's internal memory allocator.
2015-09-23 14:54:32 54399 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-09-23 14:54:32 54399 [Note] InnoDB: The InnoDB memory heap is disabled
2015-09-23 14:54:32 54399 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-09-23 14:54:32 54399 [Note] InnoDB: Memory barrier is not used
2015-09-23 14:54:32 54399 [Note] InnoDB: Compressed tables use zlib 1.2.8
2015-09-23 14:54:32 54399 [Note] InnoDB: Using Linux native AIO
2015-09-23 14:54:32 54399 [Note] InnoDB: Using CPU crc32 instructions
2015-09-23 14:54:32 54399 [Note] InnoDB: Initializing buffer pool, size = 8.0M
2015-09-23 14:54:32 54399 [Note] InnoDB: Completed initialization of buffer pool
2015-09-23 14:54:32 54399 [Note] InnoDB: Highest supported file format is Barracuda.
2015-09-23 14:54:32 54399 [ERROR] InnoDB: Tried to read 4096 bytes at offset 4096. Was only able to read 0.
2015-09-23 14:54:32 7f5d3458c740 InnoDB: Operating system error number 22 in a file operation.
InnoDB: Error number 22 means 'Invalid argument'.
InnoDB: Some operating system error numbers are described at
InnoDB: http://dev.mysql.com/doc/refman/5.6/en/operating-system-error-codes.html
2015-09-23 14:54:32 54399 [ERROR] InnoDB: File (unknown): 'read' returned OS error 122. Cannot continue operation
----------SERVER LOG END-------------
mysqltest failed but provided no output
The result from queries just before the failure was:
< snip >
call mtr.add_suppression("Failed to set O_DIRECT on file");
call mtr.add_suppression("O_DIRECT is known to result in");
DROP TABLE IF EXISTS t1;
RESET CHANGED_PAGE_BITMAPS;
CREATE TABLE t1 (a INT, b BLOB) ENGINE=InnoDB;
INSERT INTO t1 VALUES (1, REPEAT("a", 20000));
ib_modified_log_1
INSERT INTO t1 VALUES (2, REPEAT("b", 20000));
ib_modified_log_1
ib_modified_log_2

Server was build with

cmake . --no-warn-unused-cli -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG -DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG -DCMAKE_INSTALL_PREFIX=/usr -DMYSQL_DATADIR=/var/lib/mysql -DSYSCONFDIR=/etc/mysql -DINSTALL_BINDIR=bin -DINSTALL_DOCDIR=share/doc/percona-server-5.6.26.74.0 -DINSTALL_DOCREADMEDIR=share/doc/percona-server-5.6.26.74.0 -DINSTALL_INCLUDEDIR=include/mysql -DINSTALL_INFODIR=share/info -DINSTALL_LIBDIR=lib64 -DINSTALL_ELIBDIR=lib64/mysql -DINSTALL_MANDIR=share/man -DINSTALL_MYSQLDATADIR=/var/lib/mysql -DINSTALL_MYSQLSHAREDIR=share/mysql -DINSTALL_MYSQLTESTDIR=share/mysql/mysql-test -DINSTALL_PLUGINDIR=lib64/mysql/plugin -DINSTALL_SBINDIR=sbin -DINSTALL_SCRIPTDIR=share/mysql/scripts -DINSTALL_SQLBENCHDIR=share/mysql -DINSTALL_SUPPORTFILESDIR=/usr/share/mysql -DWITH_COMMENT="My Linux percona-server-5.6.26.74.0" -DWITH_UNIT_TESTS=ON -DWITH_LIBEDIT=0 -DWITH_ZLIB=system -DWITHOUT_LIBWRAP=1 -DENABLED_LOCAL_INFILE=1 -DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock -DINSTALL_UNIX_ADDRDIR=/var/run/mysqld/mysqld.sock -DWITH_SSL=system -DWITH_DEFAULT_COMPILER_OPTIONS=0 -DWITH_DEFAULT_FEATURE_SET=0 -DWITHOUT_CLIENTLIBS=0 -DWITHOUT_TOOLS=0 -DWITH_EDITLINE=bundled -DDEFAULT_CHARSET=utf8 -DDEFAULT_COLLATION=utf8_general_ci -DEXTRA_CHARSETS=all -DMYSQL_USER=mysql -DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock -DDISABLE_SHARED=OFF -DWITH_debug=OFF -DWITH_DEBUG=OFF -DWITH_Debug=OFF -DWITH_EMBEDDED_SERVER=OFF -DWITH_profiling=OFF -DWITH_PROFILING=OFF -DWITH_Profiling=OFF -DENABLE_DTRACE=OFF -DWITH_SAFEMALLOC=OFF -DWITH_ARCHIVE_STORAGE_ENGINE=1 -DWITH_BLACKHOLE_STORAGE_ENGINE=1 -DWITH_CSV_STORAGE_ENGINE=1 -DWITH_HEAP_STORAGE_ENGINE=1 -DWITH_INNOBASE_STORAGE_ENGINE=1 -DWITH_MYISAMMRG_STORAGE_ENGINE=1 -DWITH_MYISAM_STORAGE_ENGINE=1 -DWITH_PARTITION_STORAGE_ENGINE=1 -DWITH_FEDERATED_STORAGE_ENGINE=OFF -DWITH_pam=OFF -DWITH_PAM=OFF -DWITH_Pam=OFF -DENABLE_DTRACE=OFF -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_TOOLCHAIN_FILE=toolchain.cmake

# cat toolchain.cmake
SET (CMAKE_C_COMPILER x86_64-pc-linux-gnu-gcc)
SET (CMAKE_CXX_COMPILER x86_64-pc-linux-gnu-g++)
SET (CMAKE_Fortran_COMPILER x86_64-pc-linux-gnu-gfortran)

The test passed in percona-server-5.6.25.73.0.

Download full text (14.6 KiB)

Hi,

dev-db/percona-server-5.6.26.74.0 test suite is failing with

innodb.percona_changed_page_bmp_flush w4 [ fail ]
        Test ended at 2015-09-21 13:50:15

CURRENT_TEST: innodb.percona_changed_page_bmp_flush

Server [mysqld.1 - pid: 102622, winpid: 102622, exit: 256] failed during test run
Server log from this test:
----------SERVER LOG START-----------
2015-09-21 14:50:06 102119 [Note] /var/tmp/portage/dev-db/percona-server-5.6.26.74.0/work/mysql-abi_x86_64.amd64/sql/mysqld: Normal shutdown

2015-09-21 14:50:06 102119 [Note] Giving 0 client threads a chance to die gracefully
2015-09-21 14:50:06 102119 [Note] Event Scheduler: Purging the queue. 0 events
2015-09-21 14:50:06 102119 [Note] Shutting down slave threads
2015-09-21 14:50:06 102119 [Note] Forcefully disconnecting 0 remaining clients
2015-09-21 14:50:06 102119 [Note] Binlog end
[...]
2015-09-21 14:50:08 102119 [Note] /var/tmp/portage/dev-db/percona-server-5.6.26.74.0/work/mysql-abi_x86_64.amd64/sql/mysqld: Shutdown complete

2015-09-21 14:50:08 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-09-21 14:50:08 0 [Note] /var/tmp/portage/dev-db/percona-server-5.6.26.74.0/work/mysql-abi_x86_64.amd64/sql/mysqld (mysqld 5.6.26-74.0-log) starting as process 102277 ...
2015-09-21 14:50:08 102277 [Warning] Buffered warning: Could not increase number of max_open_files to more than 3000 (request: 4162)

2015-09-21 14:50:08 102277 [Warning] Buffered warning: Changed limits: table_open_cache: 1419 (requested 2000)

2015-09-21 14:50:08 7f19d60bd780 InnoDB: Warning: Using innodb_additional_mem_pool_size is DEPRECATED. This option may be removed in future releases, together with the option innodb_use_sys_malloc and with the InnoDB's internal memory allocator.
2015-09-21 14:50:08 102277 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-09-21 14:50:08 102277 [Note] InnoDB: The InnoDB memory heap is disabled
2015-09-21 14:50:08 102277 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-09-21 14:50:08 102277 [Note] InnoDB: Memory barrier is not used
2015-09-21 14:50:08 102277 [Note] InnoDB: Compressed tables use zlib 1.2.8
2015-09-21 14:50:08 102277 [Note] InnoDB: Using Linux native AIO
2015-09-21 14:50:08 102277 [Note] InnoDB: Using CPU crc32 instructions
2015-09-21 14:50:08 102277 [Note] InnoDB: Initializing buffer pool, size = 8.0M
2015-09-21 14:50:08 102277 [Note] InnoDB: Completed initialization of buffer pool
2015-09-21 14:50:08 102277 [Note] InnoDB: Highest supported file format is Barracuda.
2015-09-21 14:50:08 102277 [Note] InnoDB: starting tracking changed pages from LSN 1630586

2015-09-21 14:50:08 102277 [Note] InnoDB: 128 rollback segment(s) are active.
2015-09-21 14:50:08 102277 [Note] InnoDB: Waiting for purge to start
2015-09-21 14:50:09 102277 [Note] InnoDB: Percona XtraDB (http://www.percona.com) 5.6.26-74.0 started; log sequence number 1630586
2015-09-21 14:50:09 102277 [Warning] /var/tmp/portage/dev-db/percona-server-5.6.26.74.0/work/mysql-abi_x86_64.amd64/sql/mysqld: unknown variable 'loose-debug-sync-timeout=600'
2015-09-21 14:50:0...

Thomas Deutschmann (whissi) wrote :

I posted this upstream because I was able to reproduce with vanilla percona-server.

Thomas Deutschmann (whissi) wrote :

System details:

# emerge --info
Portage 2.2.21 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-4.9.3, glibc-2.21-r1, 4.2.0-gentoo-r1 x86_64)
=================================================================
System uname: Linux-4.2.0-gentoo-r1-x86_64-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.2
KiB Mem: 4023224 total, 278200 free
KiB Swap: 1048572 total, 1048432 free
Timestamp of repository gentoo: Wed, 23 Sep 2015 09:45:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash: 4.3_p42::gentoo
dev-java/java-config: 2.2.0::gentoo
dev-lang/perl: 5.22.0::gentoo
dev-lang/python: 2.7.10::gentoo, 3.4.3::gentoo
dev-util/cmake: 3.3.2::gentoo
dev-util/pkgconfig: 0.28-r3::gentoo
sys-apps/baselayout: 2.2::gentoo
sys-apps/openrc: 0.17::gentoo
sys-apps/sandbox: 2.8::gentoo
sys-devel/autoconf: 2.69-r1::gentoo
sys-devel/automake: 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils: 2.25.1-r1::gentoo
sys-devel/gcc: 4.9.3::gentoo
sys-devel/gcc-config: 1.8::gentoo
sys-devel/libtool: 2.4.6-r1::gentoo
sys-devel/make: 4.1-r1::gentoo
sys-kernel/linux-headers: 4.2::gentoo (virtual/os-headers)
sys-libs/glibc: 2.21-r1::gentoo

Changed in gentoo:
importance: Unknown → Medium

This is really easy to reproduce:

[openxs@chief mysql-test]$ perl mysql-test-run.pl --suite=innodb --force percona_changed_page_bmp_flush
Logging: mysql-test-run.pl --suite=innodb --force percona_changed_page_bmp_flush
2015-09-24 12:31:45 0 [Note] /home/openxs/dbs/p5.6/bin/mysqld (mysqld 5.6.26-74.0) starting as process 3039 ...
2015-09-24 12:31:45 3039 [Warning] Buffered warning: Changed limits: max_open_files: 1024 (requested 5000)

2015-09-24 12:31:45 3039 [Warning] Buffered warning: Changed limits: table_open_cache: 431 (requested 2000)

2015-09-24 12:31:45 3039 [Note] Plugin 'FEDERATED' is disabled.
2015-09-24 12:31:45 3039 [Note] Binlog end
2015-09-24 12:31:45 3039 [Note] Shutting down plugin 'MyISAM'
2015-09-24 12:31:45 3039 [Note] Shutting down plugin 'CSV'
MySQL Version 5.6.26
Checking supported features...
 - SSL connections supported
Collecting tests...
Checking leftover processes...
Removing old var directory...
Creating var directory '/home/openxs/dbs/p5.6/mysql-test/var'...
Installing system database...

...

2015-09-24 12:32:08 3213 [Note] /home/openxs/dbs/p5.6/bin/mysqld: ready for connections.
Version: '5.6.26-74.0-log' socket: '/home/openxs/dbs/p5.6/mysql-test/var/tmp/mysqld.1.sock' port: 13001 Percona Server (GPL), Release 72.2, Revision c7708a6
2015-09-24 12:32:08 3213 [Note] /home/openxs/dbs/p5.6/bin/mysqld: Normal shutdown

2015-09-24 12:32:08 3213 [Note] Giving 0 client threads a chance to die gracefully

...

2015-09-24 12:32:10 3239 [ERROR] InnoDB: Tried to read 4096 bytes at offset 4096. Was only able to read 0.
2015-09-24 12:32:10 7fd27d2c8800 InnoDB: Operating system error number 22 in a file operation.
InnoDB: Error number 22 means 'Invalid argument'.
InnoDB: Some operating system error numbers are described at
InnoDB: http://dev.mysql.com/doc/refman/5.6/en/operating-system-error-codes.html
2015-09-24 12:32:10 3239 [ERROR] InnoDB: File (unknown): 'read' returned OS error 122. Cannot continue operation

...

Test innodb.percona_changed_page_bmp_flush has failed 2 times, no more retries!

--------------------------------------------------------------------------
The servers were restarted 1 times
Spent 0.000 of 26 seconds executing testcases

Completed: Failed 1/1 tests, 0.00% were successful.

Failing test(s): innodb.percona_changed_page_bmp_flush

The log files in var/log may give you some hint of what went wrong.

If you want to report this error, please read first the documentation
at http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html

mysql-test-run: *** ERROR: there were failing test cases

This test does noit exist in 5.1 and does not fail in 5.5:

...
Creating var directory '/home/openxs/dbs/p5.5/mysql-test/var'...
Installing system database...

==============================================================================

TEST RESULT TIME (ms) or COMMENT
--------------------------------------------------------------------------

worker[1] Using MTR_BUILD_THREAD 300, with reserved ports 13000..13009
innodb.percona_changed_page_bmp [ pass ] 145342
innodb.percona_changed_page_bmp_flush [ pass ] 29710
--------------------------------------------------------------------------
The servers were restarted 1 times
Spent 175.052 of 199 seconds executing testcases

Completed: All 2 tests were successful.

tags: added: bitmap ci xtradb
Download full text (8.4 KiB)

We've encountered this as well with 5.6.26-74.0-1.trusty. This Percona was configured as slave. We've also seen the errors on standalone instances with the same version. In all cases a rollback to version 5.6.25-73.1-1.trusty solved the problem (Percona starts without problems).

The errors after the upgrade:

Normal shutdown after package upgrade (5.6.25-73.1-1.trusty -> 5.6.26-74.0-1.trusty):
2015-09-24 04:36:01 2849 [Note] Giving 6 client threads a chance to die gracefully
2015-09-24 04:36:01 2849 [Note] Event Scheduler: Purging the queue. 0 events
2015-09-24 04:36:01 2849 [Note] Shutting down slave threads
2015-09-24 04:36:01 2849 [Note] Error reading relay log event: slave SQL thread was killed
2015-09-24 04:36:01 2849 [ERROR] Error reading packet from server: Lost connection to MySQL server during query ( server_errno=2013)
2015-09-24 04:36:01 2849 [Note] Slave I/O thread killed while reading event
2015-09-24 04:36:01 2849 [Note] Slave I/O thread exiting, read up to log 'binlog.000891', position 670357433
2015-09-24 04:36:11 2849 [Note] Forcefully disconnecting 1 remaining clients
2015-09-24 04:36:11 2849 [Warning] /usr/sbin/mysqld: Forcing close of thread 1928716 user: 'level23'

2015-09-24 04:36:11 2849 [Note] Binlog end
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'partition'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'PERFORMANCE_SCHEMA'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'ARCHIVE'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'BLACKHOLE'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_CHANGED_PAGES'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_DATAFILES'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_TABLESPACES'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN_COLS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_FOREIGN'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_FIELDS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_COLUMNS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_INDEXES'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_TABLESTATS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_SYS_TABLES'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_INDEX_TABLE'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_INDEX_CACHE'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_CONFIG'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_BEING_DELETED'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_DELETED'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_FT_DEFAULT_STOPWORD'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_METRICS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_BUFFER_POOL_STATS'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE_LRU'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_BUFFER_PAGE'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX_RESET'
2015-09-24 04:36:11 2849 [Note] Shutting down plugin 'INNODB_CMP_PER_INDEX'
2015-09-2...

Read more...

Thomas, Valerii, Frederique -

Can you please test the branch at https://github.com/laurynas-biveinis/percona-server/tree/bug1500720 and confirm if it fixes the issue for you?

Thanks.

I am posting here because Launchpad seems to import comments (the Gentoo bug is linked to the Launchpad bug report) so we'll have it in both trackers:

Upstream (on behalf of Laurynas Biveinis) posted a patch (https://github.com/laurynas-biveinis/percona-server/commit/dbce5572d927ae679a03b591c1d94da706e8751d) which fixed the problem for me. Test suite passed.

Thanks!

Thomas Deutschmann (whissi) wrote :

Hi Laurynas,

thanks for the patch! It works for me, test suite passed. I am now pushing 5.6.26.74.0 into production.

Thank you for the confirmation, I am submitting the patch for peer review, and if no surprises, it will be a part of the next server release.

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-1651

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.